## fonts-dejavu 2.33+svn2514

=== debian/changelog ===
fonts-dejavu (2.33+svn2514-3ubuntu1) saucy; urgency=low

  * Merge change from ttf-dejavu:
    - Add 01_missing_uighur.patch: Add missing glyphs for Uighur language.

 -- Iain Lane <iain.lane@canonical.com>  Tue, 21 May 2013 13:24:30 +0100

fonts-dejavu (2.33+svn2514-3) unstable; urgency=low

  * Team upload

  [ Fabian Greffrath ]
  * The transitional ttf-dejavu package must depend on ttf-dejavu-{core,extra}
    instead of the fonts-dejavu-* flavors, so the fonts files are available
    at the expected locations (Closes: #706516).
  * Make ttf-dejavu also depend on fonts-dejavu for a smoother transition.

  [ Christian Perrier ]
  * Use git for packaging: adapt Vcs-* fields
  * Use machine-readable format for debian/copyright

 -- Christian Perrier <bubulle@debian.org>  Fri, 10 May 2013 20:31:13 +0200

fonts-dejavu (2.33+svn2514-2) experimental; urgency=low

  [ Fabian Greffrath ]
  * Team upload.
  * Instead of symlinking the font directories, provide per-file
    symlinks in the transitional packages.
  * Adjust Replaces and Conflicts accordingly, convert Conflicts to Breaks.
  * Remove useless debian/*.dirs files.
  * Really install NEWS file as upstream changelog, do not duplicate
    docs in fonts-dejavu-extra package.
  * Remove empty debian/patches directory.
  * Replace Pre-Depends on "dpkg (>= 1.15.6~)" with "${misc:Pre-Depends}."
  * Run "wrap-and-sort -as".
  * Append "(extra variants)" to fonts-dejavu-extra package's short description.
  * Fix Vcs-* fields in debian/control.

 -- Christian Perrier <bubulle@debian.org>  Wed, 03 Apr 2013 11:42:53 +0200

fonts-dejavu (2.33+svn2514-1) experimental; urgency=low

  * "New upstream" version (indeed an SVN snapshot as no
    recent upstream release happened). This closes the following
    Debian bugs:
    - broken Latin letters with dot above at small sizes. 
      Closes: #618310, #647444
  * Rename source package to "fonts-freefont" to fit the Font
    Packages Naming Policy.
  * Bump debhelper compatibility to 9
  * Move to dh-7 minimal rules file and drop CDBS
  * Replace XC-Package-Type by Package-Type for udeb packages
  * Bump Standards to 3.9.4 (checked)
  * Drop Evguenyi from Uploaders as he's no longer active for
    this package
  * Uncapitalize fonts-dejavu description which will make it
    recognized as a metapackage
  * Use xz extreme compression to build deb packages
    Closes: #685269
  * Add upstream-provided fontconfig hint files in /etc/fonts/conf.avail
    with links in /etc/fonts/conf.d. Closes: #457647
  * Install NEWS file as a changelog file

 -- Christian Perrier <bubulle@debian.org>  Mon, 01 Apr 2013 18:03:09 +0200

ttf-dejavu (2.33-3) unstable; urgency=low

  [ Ansgar Burchardt ]
  * debian/rules: Use xz compression for binary packages. 
    Closes: #683931

 -- Christian Perrier <bubulle@debian.org>  Sun, 05 Aug 2012 18:19:22 +0200

ttf-dejavu (2.33-2) unstable; urgency=low

  * Mark binary packages as Multi-Arch: foreign
    Closes: #637967
  * Don't use brace expansion in ttf-dejavu-udeb.install

 -- Christian Perrier <bubulle@debian.org>  Thu, 18 Aug 2011 05:59:43 +0200

ttf-dejavu (2.33-1) unstable; urgency=low

  * New upstream release
  * debian/scripts/generate-udeb.sh: strip more ranges in
    DejaVuSans{-Bold,-Oblique}
    - Old Italic (u10300:u1032F)
    - Playing Cards (u1F0A0:u1F0FF)
    - Miscellaneous Symbols And Pictographs (u1F400:u1F4FF)
    - Emoticons (u1F600:u1F64F)
  
 -- Davide Viti <zinosat@tiscali.it>  Mon, 28 Feb 2011 23:29:50 +0100

ttf-dejavu (2.32-1) unstable; urgency=low

  * New upstream release
  * debian/control: 
    - Bump Standards-Version to 3.9.1 (no changes needed)
    - Build-Depends-Indep set to "fontforge-nox | fontforge" to unburden
      buildds. Drop also version restriction (>= 0.0.20080330)  
  * debian/scripts/generate-udeb.sh:
    - strip Domino Tiles (U+1F030-U+1F09F)
  * debian/watch: revert workaround for broken Sourceforge redirector to
    make the package lintian clean

 -- Davide Viti <zinosat@tiscali.it>  Thu, 03 Feb 2011 21:45:19 +0100

ttf-dejavu (2.31-1) unstable; urgency=low

  * New upstream release
  * debian/control: Bump Standards-Version to 3.8.4
    (no changes needed)

 -- Davide Viti <zinosat@tiscali.it>  Sat, 29 May 2010 22:23:04 +0200

ttf-dejavu (2.30-2) unstable; urgency=low

  * debian/watch: workaround broken Sourceforge redirector
  * Switch to 3.0 source package format
  * Remove defoma hints files and dependency on defoma
  * debian/preinst: don’t run the script upon first installation. Thanx
    to Josselin Mouette for suggesting this
  * debian/preinst: purge defoma's font cache. Thanx to Christian Perrier
    for spotting this.

 -- Davide Viti <zinosat@tiscali.it>  Sun, 13 Dec 2009 13:52:13 +0100

ttf-dejavu (2.30-1) unstable; urgency=low

  * New upstream release
  * debian/control: Bump Standards-Version to 3.8.3

 -- Davide Viti <zinosat@tiscali.it>  Thu, 27 Aug 2009 21:40:19 +0200

ttf-dejavu (2.29-3) unstable; urgency=low

  * scripts/strip_glyphs.pe: re-encode as "unicodeFull" as to
    deal with glyphs in ranges > uFFFF  
  * scripts/generate-udeb.sh: simplify stripping glyphs in high ranges
    (> uFFFF) taking advantage of new version of strip_glyphs.pe
  * debian/control: Bump Standards-Version to 3.8.2

 -- Davide Viti <zinosat@tiscali.it>  Sat, 11 Jul 2009 20:57:22 +0200

ttf-dejavu (2.29-2) unstable; urgency=low

  [ Євгеній Мещеряков ]
  * Change source section to "fonts"

  [ Davide Viti ]
  * Bump Build-Depends on debhelper to 5.0.42
  * debian/control: Bump Standards-Version to 3.8.1
  
 -- Davide Viti <zinosat@tiscali.it>  Wed, 25 Mar 2009 21:53:30 +0100

ttf-dejavu (2.29-1) unstable; urgency=low

  * New upstream release (closes: #518778)
  * debian/scripts/generate-udeb.sh: strip DejaVuSans-Oblique.ttf
    up to u1D7E1

 -- Davide Viti <zinosat@tiscali.it>  Mon, 09 Mar 2009 22:05:13 +0100

ttf-dejavu (2.28-2) unstable; urgency=low

  [ Євгеній Мещеряков ]
  * Update Homepage field in debian/control


