=== debian/changelog ===
fonts-dejavu (2.34-1ubuntu1) trusty; urgency=low

  * Merge with Debian, remaining changes: 
    - Add 01_missing_uighur.patch: Add missing glyphs for Uighur language.

 -- Iain Lane <iain.lane@canonical.com>  Fri, 10 Jan 2014 16:01:47 +0000

fonts-dejavu (2.34-1) unstable; urgency=low

  [ Fabian Greffrath ]
  * Team upload.
  * Imported Upstream version 2.34

 -- Christian Perrier <bubulle@debian.org>  Fri, 13 Sep 2013 18:56:12 +0200
