=== debian/changelog ===
fonts-dejavu (2.35-1) unstable; urgency=low

  * Imported Upstream version 2.35 (Closes: #785527)
  * Add myself to Uploaders.
  * Bump Standards-Version to 3.9.6.
  * Remove enforced extreme and whatnot xz compression.
  * Name the bitstream-vera license in debian/copyright.

 -- Fabian Greffrath <fabian@debian.org>  Tue, 19 May 2015 10:36:28 +0200
