=== debian/changelog ===
fonts-dejavu (2.37-8) unstable; urgency=medium

  * Team upload
  * Let fonts-dejavu-core depend on fonts-dejavu-mono

 -- Gunnar Hjalmarsson <gunnarhj@debian.org>  Thu, 10 Aug 2023 19:39:05 +0200

fonts-dejavu (2.37-7) unstable; urgency=medium

  * Team upload
  * Source-only upload

 -- Gunnar Hjalmarsson <gunnarhj@debian.org>  Tue, 08 Aug 2023 21:33:17 +0200

fonts-dejavu (2.37-7~exp1) experimental; urgency=medium

  * Team upload
  * Break out monospace to a fonts-dejavu-mono binary (closes: #1043271)

 -- Gunnar Hjalmarsson <gunnarhj@debian.org>  Tue, 08 Aug 2023 17:06:14 +0200

fonts-dejavu (2.37-6) unstable; urgency=medium

  * Touch all generated TTF files with SOURCE_DATE_EPOCH time,
    Closes: #1032599.

 -- Fabian Greffrath <fabian@debian.org>  Fri, 10 Mar 2023 09:35:35 +0100

fonts-dejavu (2.37-5) unstable; urgency=medium

  [ Paul Menzel ]
  * debian/control: fonts-dejavu-web: Add missing verb to description
  * debian/fonts-dejavu-web.README.Debian: Improve spelling and wording
  * debian/scripts/generate-web.sh: Get rid of ls and grep usage

 -- Fabian Greffrath <fabian@debian.org>  Sun, 26 Feb 2023 07:54:14 +0100

fonts-dejavu (2.37-4) unstable; urgency=medium

  * Source-only upload.

 -- Fabian Greffrath <fabian@debian.org>  Tue, 14 Feb 2023 22:03:51 +0100

fonts-dejavu (2.37-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable)

  [ Daniel Baumann ]
  * Adding fonts-dejavu-web package (Closes: #1030155).

 -- Fabian Greffrath <fabian@debian.org>  Tue, 07 Feb 2023 08:26:57 +0100

fonts-dejavu (2.37-2) unstable; urgency=medium

  * Drop transitional packages ttf-dejavu, ttf-dejavu-core and
    ttf-dejavu-extra. Thanks Holger Levsen, Closes: #872809.
  * Update upstream homepage information. Thanks Theppitak
    Karoonboonyanan and Vincent Lefevre, Closes: #950203.
  * Remove Christian Perrier from Uploaders, Closes: #927597.
  * Apply upstream commit to remove redundant generic name assignment
    and aliasing from fontconfig configuration. Thanks Jan Niklas
    Hasse, Closes: #753401.
  * Bump debhelper-compat to 13.
  * Bump Standards-Version to 4.5.0.
  * Update Vcs-* fields to point to the Salsa repository.
  * Add "Rules-Requires-Root: no".
  * Update Debian Fonts Task Force mailing list address in the
    Maintainer field.
  * Use secure debian/copyright format URI.

 -- Fabian Greffrath <fabian@debian.org>  Fri, 22 May 2020 17:21:43 +0200

fonts-dejavu (2.37-1) unstable; urgency=medium

  * Imported Upstream version 2.37.
    + Fix issue with empty glyphs in condensed typefaces in the
      released source files (Closes: #832037).
  * Bump Standards-Version to 3.9.8.
  * Fix vcs-field-uses-insecure-uri lintian warnings.

 -- Fabian Greffrath <fabian@debian.org>  Tue, 16 Aug 2016 20:18:04 +0200

fonts-dejavu (2.36-1) unstable; urgency=medium

  * Imported Upstream version 2.36 (Closes: #831375).
  * Account for the README file name change.
  * Install the new Math font in to the fonts-dejavu-extra package.

 -- Fabian Greffrath <fabian@debian.org>  Sat, 16 Jul 2016 18:20:05 +0200
