=== debian/control ===
--- 
+++ 
@@ -1,36 +1,35 @@
 Source: fonts-dejavu
 Section: fonts
 Priority: optional
-Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
+Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
 Build-Depends:
- debhelper (>= 9~)
+ debhelper-compat (= 13)
 Build-Depends-Indep:
  fontforge-nox | fontforge,
- libfont-ttf-perl (>= 0.35),
- perl
-Standards-Version: 3.9.6
+ libfont-ttf-perl,
+ perl,
+ woff-tools,
+ woff2
+Standards-Version: 4.5.0
 Uploaders:
  Davide Viti <zinosat@tiscali.it>,
- Christian Perrier <bubulle@debian.org>,
  Fabian Greffrath <fabian@debian.org>
-Vcs-Git: git://anonscm.debian.org/pkg-fonts/fonts-dejavu.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-fonts/fonts-dejavu.git;a=summary
-Homepage: http://dejavu-fonts.org/
+Vcs-Git: https://salsa.debian.org/fonts-team/fonts-dejavu.git
+Vcs-Browser: https://salsa.debian.org/fonts-team/fonts-dejavu
+Homepage: https://dejavu-fonts.github.io/
+Rules-Requires-Root: no
 
 Package: fonts-dejavu
 Architecture: all
 Multi-Arch: foreign
 Depends:
  fonts-dejavu-core,
+ fonts-dejavu-mono,
  fonts-dejavu-extra,
  ${misc:Depends}
 Pre-Depends:
  ${misc:Pre-Depends}
-Replaces:
- ttf-dejavu (<< 2.33+svn2514-2~)
-Breaks:
- ttf-dejavu (<< 2.33+svn2514-2~)
-Description: metapackage to pull in fonts-dejavu-core and fonts-dejavu-extra
+Description: metapackage to pull in fonts-dejavu-core, -mono and -extra
  DejaVu provides an expanded version of the Vera font family aiming for
  quality and broader Unicode coverage while retaining the original Vera
  style. DejaVu currently works towards conformance with the Multilingual
@@ -46,13 +45,8 @@
 Architecture: all
 Multi-Arch: foreign
 Depends:
+ fonts-dejavu-mono,
  ${misc:Depends}
-Replaces:
- ttf-dejavu (<< 2.20-1),
- ttf-dejavu-core (<< 2.33+svn2514-2~)
-Breaks:
- ttf-dejavu (<< 2.20-1),
- ttf-dejavu-core (<< 2.33+svn2514-2~)
 Pre-Depends:
  ${misc:Pre-Depends}
 Description: Vera font family derivate with additional characters
@@ -62,9 +56,35 @@
  European Standards (MES-1 and MES-2) for Unicode coverage. The DejaVu
  fonts provide serif, sans and monospaced variants.
  .
- This package only contains the sans, sans-bold, serif, serif-bold,
- mono and mono-bold variants. For additional variants, see the
- ttf-dejavu-extra package.
+ This package only contains the sans, sans-bold, serif and serif-bold
+ variants. For additional variants, see the fonts-dejavu-mono and
+ fonts-dejavu-extra packages.
+ .
+ DejaVu fonts are intended for use on low-resolution devices (mainly
+ computer screens) but can be used in printing as well.
+
+Package: fonts-dejavu-mono
+Architecture: all
+Multi-Arch: foreign
+Depends:
+ ${misc:Depends}
+Pre-Depends:
+ ${misc:Pre-Depends}
+Replaces:
+ fonts-dejavu-core (<< 2.37-7~),
+ fonts-dejavu-extra (<< 2.37-7~),
+Breaks:
+ fonts-dejavu-core (<< 2.37-7~),
+ fonts-dejavu-extra (<< 2.37-7~),
+Description: Vera font family derivate with additional characters
+ DejaVu provides an expanded version of the Vera font family aiming for
+ quality and broader Unicode coverage while retaining the original Vera
+ style. DejaVu currently works towards conformance with the Multilingual
+ European Standards (MES-1 and MES-2) for Unicode coverage. The DejaVu
+ fonts provide serif, sans and monospaced variants.
+ .
+ This package only contains the monospaced variants. For additional
+ variants, see the fonts-dejavu-core and fonts-dejavu-extra packages.
  .
  DejaVu fonts are intended for use on low-resolution devices (mainly
  computer screens) but can be used in printing as well.
@@ -75,12 +95,6 @@
 Depends:
  fonts-dejavu-core,
  ${misc:Depends}
-Replaces:
- ttf-dejavu (<< 2.20-1),
- ttf-dejavu-extra (<< 2.33+svn2514-2~)
-Breaks:
- ttf-dejavu (<< 2.20-1),
- ttf-dejavu-extra (<< 2.33+svn2514-2~)
 Pre-Depends:
  ${misc:Pre-Depends}
 Description: Vera font family derivate with additional characters (extra variants)
@@ -120,40 +134,22 @@
  DejaVu fonts are intended for use on low-resolution devices (mainly
  computer screens) but can be used in printing as well.
 
-Package: ttf-dejavu
+Package: fonts-dejavu-web
+Architecture: all
+Multi-Arch: foreign
 Depends:
  fonts-dejavu,
- ttf-dejavu-core,
- ttf-dejavu-extra,
  ${misc:Depends}
-Architecture: all
-Section: oldlibs
-Priority: extra
 Pre-Depends:
  ${misc:Pre-Depends}
-Description: transitional dummy package
- This package is a dummy transitional package. It can be safely removed.
-
-Package: ttf-dejavu-core
-Depends:
- fonts-dejavu-core,
- ${misc:Depends}
-Architecture: all
-Section: oldlibs
-Priority: extra
-Pre-Depends:
- ${misc:Pre-Depends}
-Description: transitional dummy package
- This package is a dummy transitional package. It can be safely removed.
-
-Package: ttf-dejavu-extra
-Depends:
- fonts-dejavu-extra,
- ${misc:Depends}
-Architecture: all
-Section: oldlibs
-Priority: extra
-Pre-Depends:
- ${misc:Pre-Depends}
-Description: transitional dummy package
- This package is a dummy transitional package. It can be safely removed.
+Recommends:
+ javascript-common,
+Description: Vera font family derivate with additional characters (woff/woff2)
+ DejaVu provides an expanded version of the Vera font family aiming for
+ quality and broader Unicode coverage while retaining the original Vera
+ style. DejaVu currently works towards conformance with the Multilingual
+ European Standards (MES-1 and MES-2) for Unicode coverage. The DejaVu
+ fonts provide serif, sans and monospaced variants.
+ .
+ This package includes the woff/woff2 formats to be used as webfonts on a
+ webserver.
