=== debian/watch ===
version=3
http://sf.net/dejavu/dejavu-fonts-([\d.]*).tar.bz2
